# Makefile for editline library for Borland's Turbo C/C++
#
CC = tcc
CFLAGS = -ml -f- -DHAVE_STDLIB -DANSI_ARROWS -DHIDE -DUNIQUE_HISTORY
SRC = editline.c complete.c sysdos.c
OBJ = editline.obj complete.obj sysdos.obj

.c.obj:
	$(CC) -c -w-par $(CFLAGS) { $*.c }

all: libedit.lib 

libedit.lib: $(OBJ)
	-del libedit.lib
	tlib libedit /c +editline +complete +sysdos

lint:
	clint -oedlint -D__MSDOS__ -DHAVE_STDLIB -DANSI_ARROWS editline.c complete.c sysdos.c 

clean:
	del *.obj
	del *.lib
